For the complete documentation index, see llms.txt. This page is also available as Markdown.

地址餘額歷史

查詢指定地址持有某項資產的歷史餘額變化,回傳每日餘額序列。適合繪製持倉走勢或觀察資產增減。

post
Authorizations
X-API-KeystringRequired
Body

POST /v1/balance-history 的請求 body(每日餘額變化 / 歷史餘額)。

以單一資產為主,通常帶一個 symbol / contract;回應含每日 data_points 與 final_balance

addressstringRequired
blockchainstringRequired
end_timeinteger · nullableOptional
output_assetstring · nullableOptional
start_timeinteger · nullableOptional
symbolsstring[] · nullableOptional
timezoneinteger · nullableOptional

UTC 偏移小時數。

unitstring · nullableOptional

目前僅支援 daily

Responses
200

查詢成功,回傳每日餘額變化與最終餘額

application/json
post/v1/balance-history
POST /v1/balance-history HTTP/1.1
Host: api.blockchainsecurity.asia
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
  "blockchain": "tron",
  "symbols": [
    "trx"
  ]
}
{
  "data": {
    "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
    "blockchain": "tron",
    "data_points": [
      {
        "balance": "28811576.136503",
        "date": "20180810",
        "index": "0",
        "received": "28811577.136503",
        "sent": "1.000000",
        "timestamp": 1533859200
      },
      {
        "balance": "28811576.136503",
        "date": "20180811",
        "index": "1",
        "received": "0.000000",
        "sent": "0.000000",
        "timestamp": 1533945600
      }
    ],
    "final_balance": "35.216519",
    "output_asset": "native",
    "symbol": "trx",
    "unit": "daily",
    "utc": "UTC+0"
  },
  "meta": {
    "request_id": "19f2e0c8-3b39-4724-8286-0d7fa6e71218"
  }
}

Last updated

Was this helpful?